# Terminal.Gui - Cross Platform Terminal UI toolkit for .NET

A toolkit for building rich console apps for .NET, .NET Core, and Mono that works on Windows, the Mac, and Linux/Unix.

![Sample](images/sample.gif)

* [Terminal.Gui Project on GitHub](https://github.com/gui-cs/Terminal.Gui)

## Terminal.Gui API Documentation

* [API Reference](~/api/Terminal.Gui/Terminal.Gui.yml)
* [Views and controls built into the Terminal.Gui library](~/articles/views.md)
* [Terminal.Gui API Overview](~/articles/overview.md)
* [Keyboard Event Processing](~/articles/keyboard.md)
* [Event Processing and the Application Main Loop](~/articles/mainloop.md)
* [Cross-platform Driver Model](~/articles/drivers.md)
* [TableView Deep Dive](~/articles/tableview.md)
* [TreeView Deep Dive](~/articles/treeview.md)

## UI Catalog

UI Catalog is a comprehensive sample library for Terminal.Gui. It provides a simple UI for adding to the catalog of scenarios.

* [UI Catalog API Reference](~/api/UICatalog/UICatalog.yml)
* [UI Catalog Source](https://github.com/gui-cs/Terminal.Gui/tree/master/UICatalog)
